MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028979Open CASCADE[OCCT] OCCT:Codingpublic2017-08-07 18:032017-08-18 17:00
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformLinuxOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version 
Summary0028979: Coding rules - eliminate GCC compiler warnings -Wstrict-aliasing within Graphic3d_ArrayOfPrimitives.lxx
DescriptionThe following GCC 6.3.0 compiler warnings should be suppressed:
/occt.git/inc/../src/Graphic3d/Graphic3d_ArrayOfPrimitives.lxx|308|warning: dereferencing type-punned 
pointer will break strict-aliasing rules [-Wstrict-aliasing]|
/occt.git/src/AIS/AIS_Triangulation.cxx|269|warning: dereferencing type-punned pointer will break strict-aliasing 
rules [-Wstrict-aliasing]|
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot requared
Attached Files

- Relationships

-  Notes
(0069184)
git (administrator)
2017-08-07 19:43

Branch CR28979 has been created by kgv.

SHA-1: 7cfc67ff5adc8352f6ff86da58d84f8d37f5d420


Detailed log of new commits:

Author: kgv
Date: Mon Aug 7 19:42:34 2017 +0300

    0028979: Coding rules - eliminate GCC compiler warnings -Wstrict-aliasing within Graphic3d_ArrayOfPrimitives.lxx
(0069187)
kgv (developer)
2017-08-07 23:06

Please take the patch.

http://jenkins-test-10.nnov.opencascade.com:8080/view/CR28979-master-KGV/view/OCCT%20compile/ [^]
(0069214)
bugmaster (administrator)
2017-08-08 16:26

Combination -
OCCT branch : CR28979 : SHA1 - 7cfc67ff5adc8352f6ff86da58d84f8d37f5d420
Products branch : master

Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 5 (5 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0069653)
git (administrator)
2017-08-18 17:00

Branch CR28979 has been deleted by kgv.

SHA-1: 7cfc67ff5adc8352f6ff86da58d84f8d37f5d420

- Related Changesets
occt: master 7379f442
Timestamp: 2017-08-07 16:42:34
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028979: Coding rules - eliminate GCC compiler warnings -Wstrict-aliasing within Graphic3d_ArrayOfPrimitives.lxx
rm - src/Graphic3d/Graphic3d_ArrayOfPrimitives.lxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.hxx Diff ] File ]
mod - src/Graphic3d/FILES Diff ] File ]
mod - src/AIS/AIS_Triangulation.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-07 18:03 kgv New Issue
2017-08-07 18:03 kgv Assigned To => kgv
2017-08-07 19:43 git Note Added: 0069184
2017-08-07 19:45 kgv Severity minor => integration request
2017-08-07 23:06 kgv Note Added: 0069187
2017-08-07 23:06 kgv Assigned To kgv => bugmaster
2017-08-07 23:06 kgv Status new => resolved
2017-08-07 23:06 kgv Status resolved => reviewed
2017-08-08 16:14 bugmaster Test case number => Not requared
2017-08-08 16:26 bugmaster Note Added: 0069214
2017-08-08 16:26 bugmaster Status reviewed => tested
2017-08-11 07:52 bugmaster Changeset attached => occt master 7379f442
2017-08-11 07:52 bugmaster Status tested => verified
2017-08-11 07:52 bugmaster Resolution open => fixed
2017-08-18 17:00 git Note Added: 0069653


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker